<?php



namespace App\Http\Controllers\Api;
use App\Http\Controllers\Controller;
use App\Models\Commune;
use App\Models\Etablissement;
use App\Models\Moughataa;
use App\Models\Professeur;
use App\Models\Rapport;
use App\Models\Region;
use Illuminate\Http\Request;

class RapportInspectionController extends Controller
{
    public function regionsInspecteur($poleId)
    {
       // $inspecteur = $request->user()->inspecteur;

        return Region::where('pole_id', $poleId)->get();
    }

    public function moughataas($regionId)
    {
        return Moughataa::where('region_id', $regionId)->get();
    }

    public function communes($moughataaId)
    {
        return Commune::where('moughataa_id', $moughataaId)->get();
    }

    public function etablissements($communeId)
    {
        return Etablissement::where('commune_id', $communeId)->get();
    }

    public function professeurs($etablissementId)
    {
       /* return Professeur::whereHas('etablissements', function ($q) use ($etablissementId) {
            $q->where('etablissement_id', $etablissementId);
        })->get();*/
        $etablissement = Etablissement::findOrFail($etablissementId);

        return $etablissement->professeurs;

        
    }

    public function store(Request $request)
    {
        $request->validate([
            'date_inspection' => 'required',
            'classe_visitee' => 'required',
            'titre_lecon' => 'required',
            'etablissement_id' => 'required',
            'professeur_id' => 'required',
            'inspecteur_id' => 'required',
        ]);

        $rapport = Rapport::create([
            'date_inspection' => $request->date_inspection,
            'classe_visitee' => $request->classe_visitee,
            'passation' => $request->passation,
            'titre_lecon' => $request->titre_lecon,
            'deroulement' => $request->deroulement,
            'appreciation_generale' => $request->appreciation_generale,
            'numero_ordre' => $request->numero_ordre,
            'note' => $request->note,
            'etablissement_id' => $request->etablissement_id,
            'professeur_id' => $request->professeur_id,
            'inspecteur_id' => $request->inspecteur_id,
            'nombre_eleve' => $request->nombre_eleve,
            'present' => $request->present,
            'horaire' => $request->horaire,
        ]);

        return response()->json([
            'success' => true,
            'rapport_id' => $rapport->id,
        ]);
    }

}